package com.ease.gsms.server.model;

import java.util.Date;

public class Sim {
    Long id;
    Long physicalDeviceId;
    String carrierName;
    String displayName;
    String countryCode;
    String mcc;
    String mnc;
    Boolean isNetworkRoaming;
    Boolean isDataRoaming;
    Integer simSlotIndex;
    String phoneNumber;
    String deviceId;
    String simSerialNumber;
    String subscriptionId;
    Date lastSeen;
    Boolean usable;

    public Sim() {
    }

    public Sim(Long id, Long physicalDeviceId, String carrierName, String displayName, String countryCode, String mcc, String mnc, Boolean isNetworkRoaming, Boolean isDataRoaming, Integer simSlotIndex, String phoneNumber, String deviceId, String simSerialNumber, String subscriptionId, Date lastSeen, Boolean usable) {
        this.id = id;
        this.physicalDeviceId = physicalDeviceId;
        this.carrierName = carrierName;
        this.displayName = displayName;
        this.countryCode = countryCode;
        this.mcc = mcc;
        this.mnc = mnc;
        this.isNetworkRoaming = isNetworkRoaming;
        this.isDataRoaming = isDataRoaming;
        this.simSlotIndex = simSlotIndex;
        this.phoneNumber = phoneNumber;
        this.deviceId = deviceId;
        this.simSerialNumber = simSerialNumber;
        this.subscriptionId = subscriptionId;
        this.lastSeen = lastSeen;
        this.usable = usable;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getPhysicalDeviceId() {
        return physicalDeviceId;
    }

    public void setPhysicalDeviceId(Long physicalDeviceId) {
        this.physicalDeviceId = physicalDeviceId;
    }

    public String getCarrierName() {
        return carrierName;
    }

    public void setCarrierName(String carrierName) {
        this.carrierName = carrierName;
    }

    public String getDisplayName() {
        return displayName;
    }

    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }

    public String getCountryCode() {
        return countryCode;
    }

    public void setCountryCode(String countryCode) {
        this.countryCode = countryCode;
    }

    public String getMcc() {
        return mcc;
    }

    public void setMcc(String mcc) {
        this.mcc = mcc;
    }

    public String getMnc() {
        return mnc;
    }

    public void setMnc(String mnc) {
        this.mnc = mnc;
    }

    public Boolean getIsNetworkRoaming() {
        return isNetworkRoaming;
    }

    public void setIsNetworkRoaming(Boolean networkRoaming) {
        isNetworkRoaming = networkRoaming;
    }

    public Boolean getIsDataRoaming() {
        return isDataRoaming;
    }

    public void setIsDataRoaming(Boolean dataRoaming) {
        isDataRoaming = dataRoaming;
    }

    public Integer getSimSlotIndex() {
        return simSlotIndex;
    }

    public void setSimSlotIndex(Integer simSlotIndex) {
        this.simSlotIndex = simSlotIndex;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getSimSerialNumber() {
        return simSerialNumber;
    }

    public void setSimSerialNumber(String simSerialNumber) {
        this.simSerialNumber = simSerialNumber;
    }

    public String getSubscriptionId() {
        return subscriptionId;
    }

    public void setSubscriptionId(String subscriptionId) {
        this.subscriptionId = subscriptionId;
    }

    public Date getLastSeen() {
        return lastSeen;
    }

    public void setLastSeen(Date lastSeen) {
        this.lastSeen = lastSeen;
    }

    public Boolean getUsable() {
        return usable;
    }

    public void setUsable(Boolean usable) {
        this.usable = usable;
    }

}
